<?php
/**
 * Kid Toys Store Theme Customizer
 *
 * @package Kid Toys Store
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function kid_toys_store_customize_register( $wp_customize ) {

	//add home page setting pannel
	$wp_customize->add_panel( 'kid_toys_store_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'Theme Settings', 'kid-toys-store' ),
	    'description' => __( 'Description of what this panel does.', 'kid-toys-store' )
	) );

	//Layouts
	$wp_customize->add_section( 'kid_toys_store_left_right', array(
    	'title'      => __( 'Theme Layout Settings', 'kid-toys-store' ),
		'priority'   => 30,
		'panel' => 'kid_toys_store_panel_id'
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('kid_toys_store_theme_options',array(
	        'default' => '',
	        'sanitize_callback' => 'kid_toys_store_sanitize_choices'
	    )
    );

	$wp_customize->add_control('kid_toys_store_theme_options',
	    array(
	        'type' => 'radio',
	        'label' => __('Do you want this section','kid-toys-store'),
	        'section' => 'kid_toys_store_left_right',
	        'choices' => array(
	            'Left Sidebar' => __('Left Sidebar','kid-toys-store'),
	            'Right Sidebar' => __('Right Sidebar','kid-toys-store'),
	            'One Column' => __('One Column','kid-toys-store'),
	            'Three Columns' => __('Three Columns','kid-toys-store'),
	            'Four Columns' => __('Four Columns','kid-toys-store'),
	            'Grid Layout' => __('Grid Layout','kid-toys-store')
	        ),
	    )
    );

    //Social Icons(topbar)
	$wp_customize->add_section('kid_toys_store_topbar',array(
		'title'	=> __('Top Header','kid-toys-store'),
		'description'	=> __('Add Header Content here','kid-toys-store'),
		'priority'	=> null,
		'panel' => 'kid_toys_store_panel_id',
	));

    $wp_customize->add_setting('kid_toys_store_mail',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('kid_toys_store_mail',array(
		'label'	=> __('Email','kid-toys-store'),
		'section'	=> 'kid_toys_store_topbar',
		'setting'	=> 'kid_toys_store_mail',
		'type'	=> 'text'
	));

    $wp_customize->add_setting('kid_toys_store_call',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('kid_toys_store_call',array(
		'label'	=> __('Phone','kid-toys-store'),
		'section'	=> 'kid_toys_store_topbar',
		'setting'	=> 'kid_toys_store_call',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('kid_toys_store_cart_link',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('kid_toys_store_cart_link',array(
		'label'	=> __('Cart Link','kid-toys-store'),
		'section'	=> 'kid_toys_store_topbar',
		'setting'	=> 'kid_toys_store_cart_link',
		'type'	=> 'text'
	));

	$wp_customize->add_setting('kid_toys_store_myaccount_link',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('kid_toys_store_myaccount_link',array(
		'label'	=> __('My Account Link','kid-toys-store'),
		'section'	=> 'kid_toys_store_topbar',
		'setting'	=> 'kid_toys_store_myaccount_link',
		'type'	=> 'text'
	));

	//Social Icons(topbar)
	$wp_customize->add_section('kid_toys_store_topbar_header',array(
		'title'	=> __('Social Icon Section','kid-toys-store'),
		'description'	=> __('Add Header Content here','kid-toys-store'),
		'priority'	=> null,
		'panel' => 'kid_toys_store_panel_id',
	));

	$wp_customize->add_setting('kid_toys_store_youtube_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('kid_toys_store_youtube_url',array(
		'label'	=> __('Add Youtube link','kid-toys-store'),
		'section'	=> 'kid_toys_store_topbar_header',
		'setting'	=> 'kid_toys_store_youtube_url',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('kid_toys_store_facebook_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('kid_toys_store_facebook_url',array(
		'label'	=> __('Add Facebook link','kid-toys-store'),
		'section'	=> 'kid_toys_store_topbar_header',
		'setting'	=> 'kid_toys_store_facebook_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('kid_toys_store_twitter_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('kid_toys_store_twitter_url',array(
		'label'	=> __('Add Twitter link','kid-toys-store'),
		'section'	=> 'kid_toys_store_topbar_header',
		'setting'	=> 'kid_toys_store_twitter_url',
		'type'	=> 'url'
	));

	$wp_customize->add_setting('kid_toys_store_rss_url',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));	
	$wp_customize->add_control('kid_toys_store_rss_url',array(
		'label'	=> __('Add RSS link','kid-toys-store'),
		'section'	=> 'kid_toys_store_topbar_header',
		'setting'	=> 'kid_toys_store_rss_url',
		'type'	=> 'url'
	));

	//home page slider
	$wp_customize->add_section( 'kid_toys_store_slidersettings' , array(
    	'title'      => __( 'Slider Settings', 'kid-toys-store' ),
		'priority'   => null,
		'panel' => 'kid_toys_store_panel_id'
	) );

	for ( $count = 1; $count <= 4; $count++ ) {

		// Add color scheme setting and control.
		$wp_customize->add_setting( 'kid_toys_store_slidersettings-page-' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'kid_toys_store_sanitize_dropdown_pages'
		) );
		$wp_customize->add_control( 'kid_toys_store_slidersettings-page-' . $count, array(
			'label'    => __( 'Select Slide Image Page', 'kid-toys-store' ),
			'section'  => 'kid_toys_store_slidersettings',
			'type'     => 'dropdown-pages'
		) );

	}	

	//Our Product
	$wp_customize->add_section('kid_toys_store_product',array(
		'title'	=> __('Featured Products','kid-toys-store'),
		'description'=> __('This section will appear below the slider.','kid-toys-store'),
		'panel' => 'kid_toys_store_panel_id',
	));

	$wp_customize->add_setting('kid_toys_store_sec1_title',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('kid_toys_store_sec1_title',array(
		'label'	=> __('Section Title','kid-toys-store'),
		'section'=> 'kid_toys_store_product',
		'setting'=> 'kid_toys_store_sec1_title',
		'type'=> 'text'
	));	
	
	for ( $count = 0; $count <= 0; $count++ ) {

		$wp_customize->add_setting( 'kid_toys_store_servicesettings-page-' . $count, array(
			'default'           => '',
			'sanitize_callback' => 'absint'
		));
		$wp_customize->add_control( 'kid_toys_store_servicesettings-page-' . $count, array(
			'label'    => __( 'Select Product Page', 'kid-toys-store' ),
			'section'  => 'kid_toys_store_product',
			'type'     => 'dropdown-pages'
		));
	}

	//Footer
	$wp_customize->add_section('kid_toys_store_footer',array(
		'title'	=> __('Footer Text','kid-toys-store'),
		'description'=> __('This section will appear in the .','kid-toys-store'),
		'panel' => 'kid_toys_store_panel_id',
	));

	$wp_customize->add_setting('kid_toys_store_footer_copy',array(
		'default'=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('kid_toys_store_footer_copy',array(
		'label'	=> __('Text','kid-toys-store'),
		'section'=> 'kid_toys_store_footer',
		'setting'=> 'kid_toys_store_footer_copy',
		'type'=> 'text'
	));	
}
add_action( 'customize_register', 'kid_toys_store_customize_register' );


/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Kid_Toys_Store_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );
		
		// Register custom section types.
		$manager->register_section_type( 'Kid_Toys_Store_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new Kid_Toys_Store_Customize_Section_Pro(
				$manager,
				'example_1',
				array(
					'priority'   => 9,
					'title'    => esc_html__( 'Kid Toys Store', 'kid-toys-store' ),
					'pro_text' => esc_html__( 'Go Pro',         'kid-toys-store' ),
					'pro_url'  => esc_url( 'https://www.themescaliber.com/themes/premium-kids-wordpress-theme/' ),
		 		)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'kid-toys-store-customize-controls', trailingslashit( get_template_directory_uri() ) . '/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'kid-toys-store-customize-controls', trailingslashit( get_template_directory_uri() ) . '/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Kid_Toys_Store_Customize::get_instance();